        !COMPILER-GENERATED INTERFACE MODULE: Fri Nov 20 16:57:13 2015
        MODULE AREALAM__genmod
          INTERFACE 
            SUBROUTINE AREALAM(PI,NA,DNA,LNA,LNT,SWETNA,SWETL,DC)
              REAL(KIND=8) :: PI
              INTEGER(KIND=4) :: NA
              REAL(KIND=8) :: DNA
              REAL(KIND=8) :: LNA
              REAL(KIND=8) :: LNT
              REAL(KIND=8) :: SWETNA
              REAL(KIND=8) :: SWETL
              REAL(KIND=8) :: DC
            END SUBROUTINE AREALAM
          END INTERFACE 
        END MODULE AREALAM__genmod
